# hy-cta-liftup-image-text



<!-- Auto Generated Below -->


## Properties

| Property                   | Attribute                      | Description | Type      | Default     |
| -------------------------- | ------------------------------ | ----------- | --------- | ----------- |
| `imageAlt`                 | `image-alt`                    |             | `string`  | `""`        |
| `imageRight`               | `image-right`                  |             | `boolean` | `false`     |
| `imageUrl`                 | `image-url`                    |             | `string`  | `null`      |
| `mainUrl`                  | `main-url`                     |             | `string`  | `undefined` |
| `mainUrlAriaLabel`         | `main-url-aria-label`          |             | `string`  | `undefined` |
| `mainUrlIsExternal`        | `main-url-is-external`         |             | `boolean` | `false`     |
| `mainUrlTitle`             | `main-url-title`               |             | `string`  | `undefined` |
| `standaloneUrl`            | `standalone-url`               |             | `string`  | `undefined` |
| `standaloneUrl2`           | `standalone-url-2`             |             | `string`  | `undefined` |
| `standaloneUrlAriaLabel`   | `standalone-url-aria-label`    |             | `string`  | `undefined` |
| `standaloneUrlAriaLabel2`  | `standalone-url-aria-label-2`  |             | `string`  | `undefined` |
| `standaloneUrlIsExternal`  | `standalone-url-is-external`   |             | `boolean` | `false`     |
| `standaloneUrlIsExternal2` | `standalone-url-is-external-2` |             | `boolean` | `false`     |
| `standaloneUrlTitle`       | `standalone-url-title`         |             | `string`  | `undefined` |
| `standaloneUrlTitle2`      | `standalone-url-title-2`       |             | `string`  | `undefined` |
| `textDescription`          | `text-description`             |             | `string`  | `null`      |
| `textTitle`                | `text-title`                   |             | `string`  | `undefined` |


## Dependencies

### Depends on

- [hy-image](../image)
- [hy-cta-link-button](../cta-link-button)
- [hy-standalone-link](../standalone-link)

### Graph
```mermaid
graph TD;
  hy-cta-liftup-image-text --> hy-image
  hy-cta-liftup-image-text --> hy-cta-link-button
  hy-cta-liftup-image-text --> hy-standalone-link
  hy-cta-link-button --> hy-icon
  hy-standalone-link --> hy-icon
  style hy-cta-liftup-image-text fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Helsinki University Design System
